from django.urls import path

from .views import index, homepage, BookListView, BookDetailView, AuthorListView, AuthorDetailView


urlpatterns = [
    path('', index, name='index'),
    path('home', homepage, name='home'),
    path('books', BookListView.as_view(), name='books-list'),
    path('books/<int:pk>/details', BookDetailView.as_view(), name='books-detail'),
    path('authors', AuthorListView.as_view(), name='authors-list'),
    path('authors/<int:pk>/details', AuthorDetailView.as_view(), name='authors-detail'),
]

app_name = "bookshelf"
